Package it.ernytech.tdlib

## Class TdApi.CallConnection

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallConnection

Enclosing class:
  TdApi

    public static class TdApi.CallConnection
    extends TdApi.Object

Describes the address of UDP reflectors.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `id` Reflector identifier.
`java.lang.String` `ip` IPv4 reflector address.
`java.lang.String` `ipv6` IPv6 reflector address.
`byte[]` `peerTag` Connection peer tag.
`int` `port` Reflector port number.

### Constructor Summary

Constructors
`CallConnection()` Default constructor.
`CallConnection​(long id, java.lang.String ip, java.lang.String ipv6, int port, byte[] peerTag)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Reflector identifier.

#### ip

    public java.lang.String ip

IPv4 reflector address.

#### ipv6

    public java.lang.String ipv6

IPv6 reflector address.

#### port

    public int port

Reflector port number.

#### peerTag

    public byte[] peerTag

Connection peer tag.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallConnection

    public CallConnection()

Default constructor.

#### CallConnection

    public CallConnection​(long id,
                          java.lang.String ip,
                          java.lang.String ipv6,
                          int port,
                          byte[] peerTag)

Constructor for initialization of all fields.

Parameters:
  `id` - Reflector identifier.
  `ip` - IPv4 reflector address.
  `ipv6` - IPv6 reflector address.
  `port` - Reflector port number.
  `peerTag` - Connection peer tag.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR